summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--source4/scripting/python/samba/netcmd/domain.py6
-rwxr-xr-xtestprogs/blackbox/test_export_keytab.sh4
2 files changed, 5 insertions, 5 deletions
diff --git a/source4/scripting/python/samba/netcmd/domain.py b/source4/scripting/python/samba/netcmd/domain.py
index 110a865373..9085d8b56e 100644
--- a/source4/scripting/python/samba/netcmd/domain.py
+++ b/source4/scripting/python/samba/netcmd/domain.py
@@ -50,9 +50,9 @@ from samba.dsdb import (
-class cmd_domain_dumpkeys(Command):
+class cmd_domain_export_keytab(Command):
"""Dumps kerberos keys of the domain into a keytab"""
- synopsis = "%prog domain dumpkeys <keytab>"
+ synopsis = "%prog domain exportkeytab <keytab>"
takes_options = [
]
@@ -491,7 +491,7 @@ class cmd_domain(SuperCommand):
"""Domain management"""
subcommands = {}
- subcommands["dumpkeys"] = cmd_domain_dumpkeys()
+ subcommands["exportkeytab"] = cmd_domain_export_keytab()
subcommands["join"] = cmd_domain_join()
subcommands["level"] = cmd_domain_level()
subcommands["machinepassword"] = cmd_domain_machinepassword()
diff --git a/testprogs/blackbox/test_export_keytab.sh b/testprogs/blackbox/test_export_keytab.sh
index 5cb4317d81..fc25a9f807 100755
--- a/testprogs/blackbox/test_export_keytab.sh
+++ b/testprogs/blackbox/test_export_keytab.sh
@@ -46,8 +46,8 @@ USERPASS=testPaSS@01%
testit "create user locally" $VALGRIND $newuser nettestuser $USERPASS $@ || failed=`expr $failed + 1`
-testit "dump keys from domain" $VALGRIND $samba_tool domain dumpkeys keytab $PREFIX/tmpkeytab $@ || failed=`expr $failed + 1`
-testit "dump keys from domain (2nd time)" $VALGRIND $samba_tool domain dumpkeys keytab $PREFIX/tmpkeytab $@ || failed=`expr $failed + 1`
+testit "dump keytab from domain" $VALGRIND $samba_tool domain exportkeytab $PREFIX/tmpkeytab $@ || failed=`expr $failed + 1`
+testit "dump keytab from domain (2nd time)" $VALGRIND $samba_tool domain exportkeytab $PREFIX/tmpkeytab $@ || failed=`expr $failed + 1`
KRB5CCNAME="$PREFIX/tmpuserccache"
export KRB5CCNAME